var path = require('path');
var webpack = require('webpack');
var devProps = require('./devProps');
var cwd = process.cwd();
var pkg = require(path.join(cwd, './package.json'));

function appPath(p){
    return path.join(cwd, p);
}

module.exports = {
    entry: [
        appPath('app/main-client'),
    ],
    //target: 'node',
    devtool: 'eval',
    output: {
        path: appPath('dist/assets'),
        filename: 'client.bundle.js',
        publicPath: 'http://localhost:'+devProps.webpackPort+'/assets/',
    },
    resolve: {
        extensions: ['', '.js', '.jsx'],
        alias: {
            app: appPath('./app'),
        },
    },
    module: {
        loaders: [{
            test: /\.(js|jsx)$/,
            loaders: ['meteor-webpack/node_modules/react-hot-loader','meteor-webpack/node_modules/babel-loader?optional[]=runtime&stage=0'],
            exclude: /node_modules|lib/,
        }, {
            test: /\.css$/,
            loader: 'meteor-webpack/node_modules/style-loader!meteor-webpack/node_modules/css-loader'
        }, {
            test: /\.json$/,
            loader: 'meteor-webpack/node_modules/json-loader'
        }, ],
    }
};
