var path = require('path');
var webpack = require('webpack');
var cwd = process.cwd();
var pkg = require(path.join(cwd, './package.json'));

function appPath(p){
    return path.join(cwd, p);
}

module.exports = {
    entry: [
        appPath('./app/main-server'),
    ],
    //target: 'node',
    output: {
        path: appPath('dist/assets'),
        filename: 'server.bundle.js',
        publicPath: '/assets/',
    },
    resolve: {
        extensions: ['', '.js', '.jsx'],
        alias: {
            app: appPath('./app'),
        },
    },
    module: {
        loaders: [{
            test: /\.(js|jsx)$/,
            loaders: ['meteor-webpack/node_modules/babel-loader?optional[]=runtime&stage=0'],
            exclude: /node_modules|lib/,
        }, {
            test: /\.css$/,
            loader: 'meteor-webpack/node_modules/style-loader!meteor-webpack/node_modules/css-loader'
        }, {
            test: /\.json$/,
            loader: 'meteor-webpack/node_modules/json-loader'
        }, ],
    },
};
